#
# spec file for package clucene-core (Version 0.9.23)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#               2011 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           clucene-core
%define pkg_name clucene-core
Version:        0.9.23
%define soname %{version}
%define shlib  0_9_23
Release:        0.pm.4.1
License:        ASLv2.0 or LGPLv2.1
Group:          System/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  pkgconfig
URL:            http://clucene.sourceforge.net/
# http://prdownloads.sourceforge.net/clucene/%{pkg_name}-%{version}.0-Source.tar.bz2
Source:         %{pkg_name}-%{version}.0-stripped.tar.bz2
Patch1:         clucene-core-fix_includes.patch
Patch2:         clucene-core-lib.patch
Patch3:         clucene-core-fix_strcmp.patch
Source2:        baselibs.conf
Summary:        CLucene is a C++ port of Lucene

%description
CLucene is a C++ port of Lucene. It is a high-performance,
full-featured text search engine written in C++. CLucene is faster than
lucene as it is written in C++.



Authors:
--------
    Doug Cutting
    John Wheeler
    Robert G. Ristroph
    David Rushby
    Jimmy Pritts
    Peter Edwards
    Jorge Sabater Redondo
    Daniel Glassey
    Peter Gladkikh
    Pedja
    Peter Hodges
    Ben van Klinken

%package -n libclucene-core%{shlib}
Summary:        CLucene is a C++ port of Lucene
Group:          System/Libraries

%description -n libclucene-core%{shlib}
CLucene is a C++ port of Lucene. It is a high-performance,
full-featured text search engine written in C++. CLucene is faster than
lucene as it is written in C++.



Authors:
--------
    Doug Cutting
    John Wheeler
    Robert G. Ristroph
    David Rushby
    Jimmy Pritts
    Peter Edwards
    Jorge Sabater Redondo
    Daniel Glassey
    Peter Gladkikh
    Pedja
    Peter Hodges

%package devel
Summary:        CLucene is a C++ port of Lucene
Group:          Development/Libraries/C and C++
Requires:       libclucene-core%{shlib} = %{version}
Requires:       libstdc++-devel

%description devel
CLucene is a C++ port of Lucene. It is a high-performance,
full-featured text search engine written in C++. CLucene is faster than
lucene as it is written in C++.



Authors:
--------
    Doug Cutting
    John Wheeler
    Robert G. Ristroph
    David Rushby
    Jimmy Pritts
    Peter Edwards
    Jorge Sabater Redondo
    Daniel Glassey
    Peter Gladkikh
    Pedja
    Peter Hodges

%package devel-static
Summary:        CLucene is a C++ port of Lucene
Group:          Development/Libraries/C and C++
Requires:       %{name}-devel = %{version}

%description devel-static
CLucene is a C++ port of Lucene. It is a high-performance,
full-featured text search engine written in C++. CLucene is faster than
lucene as it is written in C++.

%prep
%setup -q -n clucene-core-%{version}.0-Source
%patch1
%patch2
%patch3

if [ -e test/data -o -e src/test/data ]; then
    echo "test/data is not allowed to be distributed."
    echo "see #253602"
    exit -1
fi

%build
mkdir build
pushd build
export CXXFLAGS="%{optflags} -std=gnu++0x -Wno-deprecated"
cmake \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DBUILD_DOCUMENTATION=OFF \
    -DCMAKE_VERBOSE_MAKEFILE=ON \
    -DLIB="%{_lib}" \
    ..
%__make %{?_smp_flags}
popd #build

%install
pushd build
%makeinstall
popd #build
%__rm -f "%{buildroot}%{_libdir}"/*.la

%__install -d "%{buildroot}%{_libdir}/pkgconfig"
cat<<'EOF'>"%{buildroot}%{_libdir}/pkgconfig/CLucene.pc"
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: CLucene
Description: Fulltext search library
Version: %{version}
Cflags: -I${includedir}
Libs: -L${libdir} -lclucene-core
EOF

%clean
%{__rm} -rf %{buildroot}

%post   -n libclucene-core%{shlib} -p /sbin/ldconfig
%postun -n libclucene-core%{shlib} -p /sbin/ldconfig

%files -n libclucene-core%{shlib}
%defattr(-,root,root,-)
%doc README* APACHE.license AUTHORS COPYING HACKING README REQUESTS
%{_libdir}/libclucene-core.so.%{version}
%{_libdir}/libclucene-core.so.%{version}.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/CLucene.h
%{_includedir}/CLucene
%dir %{_prefix}/lib/CLucene
%{_prefix}/lib/CLucene/clucene-config.h
%{_libdir}/libclucene-core.so
%{_libdir}/pkgconfig/CLucene.pc

%files devel-static
%defattr(-,root,root,-)
%{_libdir}/libclucene-core-static.a

%changelog
* Fri Jun 17 2011 pascal.bleser@opensuse.org
- update to 0.9.23
- add pkgconfig file
* Tue Dec 15 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Mon May 18 2009 dmueller@suse.de
- fix build with gcc 4.4
* Wed Jan 28 2009 crrodriguez@suse.de
- remove "la" files
* Sun Sep 21 2008 stbinner@suse.de
- update to 0.9.21: no changelog available
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Oct  8 2007 dmueller@suse.de
- update to 0.9.20:
  * no changelog available
* Mon Mar 12 2007 dmueller@suse.de
- disable static libs
- remove reuters test data from tarball (#253602)
* Fri Mar  9 2007 dmueller@suse.de
- Initial package (0.9.16, taken from server:search)
